﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace Cafe11
{
    /// <summary>
    /// Interaction logic for workers.xaml
    /// </summary>
    public partial class workers : Window
    {
        gr671_mkyuEntities entities;
        public workers()
        {
            InitializeComponent();
            entities = new gr671_mkyuEntities();
        }

        private void btninsert_Click(object sender, RoutedEventArgs e)
        {
            User user = new User();
            user.Login = txtlogin.Text;
            user.LastName = txtlast.Text;
            user.FirstName = txtfirst.Text;
            user.MiddleName = txtmiddle.Text;
            user.Password = txtpassword.Text;
            entities.Users.Add(user);
            entities.SaveChanges();
            tabl.ItemsSource = entities.Users.ToList();
        }

        private void btndel_Click(object sender, RoutedEventArgs e)
        {
            int num = Convert.ToInt32(txtid.Text);
            var dRow = entities.Users.Where(w => w.IdUser == num).FirstOrDefault();
            entities.Users.Remove(dRow);
            entities.SaveChanges();
            tabl.ItemsSource = entities.Users.ToList();
        }

        private void btnupdate_Click(object sender, RoutedEventArgs e)
        {
            int num = Convert.ToInt32(txtid.Text);
            var uRow = entities.Users.Where(w => w.IdUser == num).FirstOrDefault();
            uRow.Login = txtlogin.Text;
            uRow.LastName = txtlast.Text;
            uRow.FirstName = txtfirst.Text;
            uRow.MiddleName = txtmiddle.Text;
            uRow.Password = txtpassword.Text;
            entities.SaveChanges();
            tabl.ItemsSource = entities.Users.ToList();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            tabl.ItemsSource = entities.Users.ToList();
        }
    }
}
